{
  lib,
  config,
  namespace,
  inputs,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.${namespace}) mkEnableModule;

  cfg = config.${namespace}.appearance.qt;
  inherit (config.${namespace}) theme;
in
{
  options = mkEnableModule "appearance.qt";

  config = mkIf cfg.enable {
    xdg.configFile = mkIf (theme.colors.base == "rose-pine") {
      "qt5ct/colors/rose-pine.conf" = {
        source = "${inputs.rose-pine-qt5ct}/rose-pine.conf";
      };
    };

    qt = {
      enable = true;
      style.name = "adwaita";
    };
  };
}
