{
  lib,
  config,
  namespace,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.${namespace}) mkEnableModule;

  cfg = config.${namespace}.programs.gpg;
in
{
  options = mkEnableModule "programs.gpg";

  config = mkIf cfg.enable {
    programs.gpg = {
      enable = true;
    };

    services.gpg-agent = rec {
      enable = true;

      # Don't ask for the password very often.
      defaultCacheTtl = 60480000;
      maxCacheTtl = defaultCacheTtl;
    };
  };
}
